using System.Diagnostics;
using System;
using System.Windows.Forms;
using System.Collections;
using System.Drawing;
using Microsoft.VisualBasic;
using System.Data;
using System.Collections.Generic;
using Microsoft.VisualBasic.CompilerServices;

namespace Library
{
	public partial class FrmMain
	{
		public FrmMain()
		{
			InitializeComponent();
			
			//Added to support default instance behavour in C#
			if (defaultInstance == null)
				defaultInstance = this;
		}
		
		#region Default Instance
		
		private static FrmMain defaultInstance;
		
		/// <summary>
		/// Added by the VB.Net to C# Converter to support default instance behavour in C#
		/// </summary>
		public static FrmMain Default
		{
			get
			{
				if (defaultInstance == null)
				{
					defaultInstance = new FrmMain();
					defaultInstance.FormClosed += new FormClosedEventHandler(defaultInstance_FormClosed);
				}
				
				return defaultInstance;
			}
		}
		
		static void defaultInstance_FormClosed(object sender, FormClosedEventArgs e)
		{
			defaultInstance = null;
		}
		
		#endregion
		
		public void عضوToolStripMenuItem_Click(System.Object sender, System.EventArgs e)
		{
			FrmMember FrmMem = new FrmMember();
			FrmMem.MdiParent = this;
			FrmMem.Show();
		}
		
		public void كتابToolStripMenuItem_Click(System.Object sender, System.EventArgs e)
		{
			FrmBook frmb = new FrmBook();
			frmb.MdiParent = this;
			frmb.Show();
		}
		
		public void امانتToolStripMenuItem_Click(System.Object sender, System.EventArgs e)
		{
			FrmAmanat frmam = new FrmAmanat();
			frmam.MdiParent = this;
			frmam.Show();
		}
		
		public void خروجToolStripMenuItem_Click(System.Object sender, System.EventArgs e)
		{
			ProjectData.EndApp();
		}
		
		public void عضوToolStripMenuItem1_Click(System.Object sender, System.EventArgs e)
		{
			FrmEditMember frmMemEdit = new FrmEditMember();
			frmMemEdit.MdiParent = this;
			frmMemEdit.Show();
		}
		
		public void كتابToolStripMenuItem1_Click(System.Object sender, System.EventArgs e)
		{
			FrmBook frmBookEdit = new FrmBook();
			frmBookEdit.MdiParent = this;
			frmBookEdit.Show();
		}
		
		public void ToolStripButton4_Click(System.Object sender, System.EventArgs e)
		{
			ProjectData.EndApp();
		}
		
		public void ToolStripButton1_Click(System.Object sender, System.EventArgs e)
		{
			FrmMember frmmem = new FrmMember();
			frmmem.MdiParent = this;
			frmmem.Show();
		}
		
		public void tsbEditOzv_Click(System.Object sender, System.EventArgs e)
		{
			FrmEditMember frmMemEdit = new FrmEditMember();
			frmMemEdit.MdiParent = this;
			frmMemEdit.Show();
		}
		
		public void ToolStripButton2_Click(System.Object sender, System.EventArgs e)
		{
			FrmBook frmBookEdit = new FrmBook();
			frmBookEdit.MdiParent = this;
			frmBookEdit.Show();
		}
		
		public void ToolStripButton3_Click(System.Object sender, System.EventArgs e)
		{
			FrmAmanat frmam = new FrmAmanat();
			frmam.MdiParent = this;
			frmam.Show();
		}
	}
}
