using System.Diagnostics;
using System;
using System.Windows.Forms;
using System.Collections;
using System.Drawing;
using Microsoft.VisualBasic;
using System.Data;
using System.Collections.Generic;
using System.Data.OleDb;
using System.IO;


namespace Library
{
	public partial class FrmMember
	{
		public FrmMember()
		{
			InitializeComponent();
		}
		
		public void FrmMember_Load(System.Object sender, System.EventArgs e)
		{
			OleDbConnection1.ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=D:\\Projects\\LibraryProject\\library.mdb";
			OleDbConnection1.Open();
			LibraryDataSet1.tbl_member.Clear();
			OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_member);
		}
		
		public void btn_browse_Click(System.Object sender, System.EventArgs e)
		{
			DialogResult result = OpenFileDialog1.ShowDialog();
			if (result == System.Windows.Forms.DialogResult.OK)
			{
				//
				Bitmap input;
				Bitmap output;
				long siz = 100;
				long wid = 0;
				long hgt = 0;
				string picname = OpenFileDialog1.FileName;
				//
				try
				{
					input =  (System.Drawing.Bitmap) (Bitmap.FromFile(picname));
				}
				catch (Exception)
				{
					input = new Bitmap(150, 150);
					Graphics grafinput = Graphics.FromImage(input);
					grafinput.FillRectangle(new SolidBrush(Color.FromArgb(255, 204, 204, 204)), 0, 0, 150, 150);
					grafinput.Dispose();
				}
				
				if (siz > 0)
				{
					if (input.Height > input.Width)
					{
						wid = (siz * input.Width) / input.Height;
						hgt = siz;
					}
					else
					{
						hgt = (siz * input.Height) / input.Width;
						wid = siz;
					}
				}
				else if (hgt > 0)
				{
					wid = (hgt * input.Width) / input.Height;
				}
				else if (hgt > 0)
				{
					hgt = (wid * input.Height) / input.Width;
				}
				
				
				if ((hgt < 1) || (input.Height < hgt))
				{
					output = input;
				}
				else
				{
					output = new Bitmap(input, (int) wid, (int) hgt);
				}
				picmember.Image = output;
				input.Dispose();
			}
		}
		
		public void btn_insert_Click(System.Object sender, System.EventArgs e)
		{
			try
			{
				ErrorProvider1.Clear();
				LibraryDataSet1.tbl_member2.Clear();
				da_checkcode.SelectCommand.Parameters[0].Value = Conversion.Val(txtcode.Text);
				da_checkcode.Fill(LibraryDataSet1.tbl_member2);
				if ((LibraryDataSet1.tbl_member2.Rows.Count > 0) || (txtcode.Text == ""))
				{
					ErrorProvider1.SetError(txtcode, "كد عضويت نبايد خالي يا تكراري باشد");
				}
				else if (picmember.Image == null)
				{
					ErrorProvider1.SetError(picmember, "عکس را انتخاب كنيد");
				}
				else if (txtfname.Text == "")
				{
					ErrorProvider1.SetError(txtfname, "نام را وارد کنيد");
				}
				else if (txtlname.Text == "")
				{
					ErrorProvider1.SetError(txtlname, "نام خانوادگي را وارد کنيد");
				}
				else if (! Information.IsNumeric(txtsh.Text))
				{
					ErrorProvider1.SetError(txtsh, "شماره شناسنامه را درست وارد کنيد");
				}
				else if (txtfather.Text == "")
				{
					ErrorProvider1.SetError(txtfather, "نام پدر را وارد کنيد");
				}
				else if (cmbgride.SelectedIndex == -1)
				{
					ErrorProvider1.SetError(cmbgride, "مدرک تحصيلي را انتخاب کنيد");
				}
				else if (! Information.IsDate(txtbirthday.Text))
				{
					ErrorProvider1.SetError(txtbirthday, "تاريخ تولد را درست وارد کنيد");
				}
				else if (txtzamen.Text == "")
				{
					ErrorProvider1.SetError(txtzamen, "نام ضامن را وارد کنيد");
				}
				else if (txtzamentell.Text == "")
				{
					ErrorProvider1.SetError(txtzamentell, "شماره تلفن ضامن را وارد کنيد");
				}
				else if (! Information.IsDate(txtozviat.Text))
				{
					ErrorProvider1.SetError(txtozviat, "تاريخ عضويت را درست وارد کنيد");
				}
				else if (txttell.Text == "")
				{
					ErrorProvider1.SetError(txttell, "نشاني عضو را وارد کنيد ");
				}
				else if (txtadress.Text == "")
				{
					ErrorProvider1.SetError(txtadress, "شماره تلفن عضو را وارد کنيد");
				}
				else
				{
					OleDbDataAdapter1.InsertCommand.Parameters[0].Value = txtcode.Text;
					OleDbDataAdapter1.InsertCommand.Parameters[1].Value = txtfname.Text;
					OleDbDataAdapter1.InsertCommand.Parameters[2].Value = txtlname.Text;
					OleDbDataAdapter1.InsertCommand.Parameters[3].Value = txtsh.Text;
					OleDbDataAdapter1.InsertCommand.Parameters[4].Value = txtfather.Text;
					OleDbDataAdapter1.InsertCommand.Parameters[5].Value = DateTime.Parse(txtozviat.Text);
					OleDbDataAdapter1.InsertCommand.Parameters[6].Value = cmbgride.Text;
					OleDbDataAdapter1.InsertCommand.Parameters[7].Value = DateTime.Parse(txtozviat.Text);
					OleDbDataAdapter1.InsertCommand.Parameters[8].Value = txtzamen.Text;
					OleDbDataAdapter1.InsertCommand.Parameters[9].Value = txtzamentell.Text;
					OleDbDataAdapter1.InsertCommand.Parameters[10].Value = txtadress.Text;
					OleDbDataAdapter1.InsertCommand.Parameters[11].Value = txttell.Text;
					
					MemoryStream strmemory = new MemoryStream();
					picmember.Image.Save(strmemory, System.Drawing.Imaging.ImageFormat.Jpeg);
					byte[] buffer = new byte[(int) (strmemory.Length - 1) + 1];
					strmemory.Position = 0;
					strmemory.Read(buffer, 0, (int) strmemory.Length);
					OleDbDataAdapter1.InsertCommand.Parameters[12].Value = buffer;
					if (OleDbConnection1.State == ConnectionState.Closed)
					{
						OleDbConnection1.Open();
					}
					OleDbDataAdapter1.InsertCommand.ExecuteNonQuery();
					LibraryDataSet1.tbl_member.Clear();
					OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_member);
					OleDbConnection1.Close();
					txtcode.Clear();
					txtfname.Clear();
					txtlname.Clear();
					txtsh.Clear();
					txtfather.Clear();
					txtozviat.Clear();
					cmbgride.Text = "";
					txtozviat.Clear();
					txtzamen.Clear();
					txtzamentell.Clear();
					txtadress.Clear();
					txttell.Clear();
					picmember.Image = null;
					Interaction.MsgBox(" اطلاعات عضو جديد با موفقيت به بانک اضافه شد", 0, " عمليات درج");
				}
			}
			catch (Exception ex)
			{
				MessageBox.Show("Error : " + ex.Message);
			}
			
			
			
		}
		
		public void btnexit_Click(System.Object sender, System.EventArgs e)
		{
			this.Close();
		}
	}
	
}
