﻿Imports System.Data
Imports System.Data.OleDb
Imports System.IO
Public Class FrmAmanat

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        Me.Close()
    End Sub

    Private Sub FrmAmanat_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        OleDbConnection1.ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=D:\Projects\LibraryProject\library.mdb"
        OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_amanat)
    End Sub

    Private Sub txtMemberCode_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtMemberCode.TextChanged
        OleDbDataAdapter1.SelectCommand.CommandText = "SELECT * FROM tbl_amanat WHERE am_member_code LIKE'" & txtMemberCode.Text & "%' and am_resid=false"
        LibraryDataSet1.tbl_amanat.Clear()
        OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_amanat)
        If LibraryDataSet1.tbl_amanat.Count = 0 Then
            txtDateStart.Text = ""
            txtDateEnd.Text = ""
            Txtbookcode.Text = ""
        End If
    End Sub

    Private Sub LinkLabel1_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles LinkLabel1.LinkClicked
        Dim frm As New FrmListMember
        frm.ShowDialog()
        txtMemberCode.Text = frm.code
    End Sub

    Private Sub LinkLabel2_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles LinkLabel2.LinkClicked
        Dim frm As New FrmBookList
        frm.ShowDialog()
        Txtbookcode.Text = frm.bookcode

    End Sub

    Private Sub btnInsert_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnInsert.Click
        Try
            Dim blnerror As Boolean
            ErrorProvider1.Clear()
            If IsNumeric(txtMemberCode.Text) Then
                OleDbDataAdapter2.SelectCommand.Parameters.Item(0).Value = Val(txtMemberCode.Text)
                LibraryDataSet1.tbl_member.Clear()
                OleDbDataAdapter2.Fill(LibraryDataSet1.tbl_member)
                If (LibraryDataSet1.tbl_member.Rows.Count = 0) Then
                    blnerror = True
                    ErrorProvider1.SetError(txtMemberCode, "کد عضویت در بانك ثبت نشده است")
                End If
            Else
                blnerror = True
                ErrorProvider1.SetError(txtMemberCode, "کد عضویت را درست وارد کنید")
            End If

            If blnerror = False Then
                If Txtbookcode.Text <> "" Then
                    OleDbDataAdapter3.SelectCommand.Parameters.Item(0).Value = Txtbookcode.Text
                    LibraryDataSet1.tbl_book.Clear()
                    OleDbDataAdapter3.Fill(LibraryDataSet1.tbl_book)
                    If LibraryDataSet1.tbl_book.Rows.Count = 0 Then
                        blnerror = True
                        ErrorProvider1.SetError(Txtbookcode, "کد کتاب در بانك ثبت نشده است")
                    End If
                Else
                    blnerror = True
                    ErrorProvider1.SetError(Txtbookcode, "کد کتاب را درست وارد کنید")
                End If
            End If
            If blnerror = False Then
                If Not IsDate(txtDateStart.Text) Then
                    blnerror = True
                    ErrorProvider1.SetError(txtDateStart, "تاریخ گرفتن کتاب را درست وارد نمایید")
                ElseIf Not IsDate(txtDateEnd.Text) Then
                    blnerror = True
                    ErrorProvider1.SetError(txtDateEnd, "تاریخ برگشت کتاب را درست وارد نمایید")
                Else
                    Dim t As Integer = DateDiff(DateInterval.Day, CDate(txtDateStart.Text), CDate(txtDateEnd.Text))
                    If (t < 0) Then
                        blnerror = True
                        ErrorProvider1.SetError(txtDateEnd, "تاریخ برگشت نباید قبل از تاریخ گرفتن کتاب باشد")
                    End If
                End If
            End If

            If blnerror = False Then
                OleDbDataAdapter1.InsertCommand.Parameters.Item(0).Value = txtMemberCode.Text
                OleDbDataAdapter1.InsertCommand.Parameters.Item(1).Value = Txtbookcode.Text
                OleDbDataAdapter1.InsertCommand.Parameters.Item(2).Value = CDate(txtDateStart.Text)
                OleDbDataAdapter1.InsertCommand.Parameters.Item(3).Value = CDate(txtDateEnd.Text)
                OleDbDataAdapter1.InsertCommand.Parameters.Item(4).Value = False
                If OleDbConnection1.State = ConnectionState.Closed Then
                    OleDbConnection1.Open()
                End If
                OleDbDataAdapter1.InsertCommand.ExecuteNonQuery()

                LibraryDataSet1.tbl_amanat.Clear()
                OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_amanat)
            End If
            MsgBox(" اطلاعات با موفقيت در بانك درج گرديد", , "عمليات درج")
        Catch ex As Exception
            MsgBox("Error : " & ex.Message)
        End Try

    End Sub

    Private Sub DataGridView1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DataGridView1.Click
        Dim index As Integer = BindingContext(LibraryDataSet1, "tbl_amanat").Position
        Txtbookcode.Text = LibraryDataSet1.tbl_amanat(index).am_book_isbn
        txtDateStart.Text = LibraryDataSet1.tbl_amanat(index).am_start
        txtDateEnd.Text = LibraryDataSet1.tbl_amanat(index).am_end
        txtMemberCode.Text = LibraryDataSet1.tbl_amanat(index).am_member_code

    End Sub

    Private Sub btnUpdate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnUpdate.Click
        Dim index As Integer = BindingContext(LibraryDataSet1, "tbl_amanat").Position
        If index <> -1 Then
            LibraryDataSet1.tbl_amanat(index).am_member_code = txtMemberCode.Text
            LibraryDataSet1.tbl_amanat(index).am_book_isbn = Txtbookcode.Text
            LibraryDataSet1.tbl_amanat(index).am_start = txtDateStart.Text
            LibraryDataSet1.tbl_amanat(index).am_end = txtDateEnd.Text
            OleDbDataAdapter1.Update(LibraryDataSet1, "tbl_amanat")
            LibraryDataSet1.Clear()
            OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_amanat)
            MsgBox("ويرايش با موفقيت صورت پذيرفت ", , " عمليات ويرايش")
        End If

    End Sub

    Private Sub DataGridView1_CellEndEdit(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles DataGridView1.CellEndEdit
        OleDbDataAdapter1.Update(LibraryDataSet1.tbl_amanat)
        LibraryDataSet1.Clear()
        OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_amanat)
        Dim index As Integer = BindingContext(LibraryDataSet1, "tbl_amanat").Position

        Txtbookcode.Text = LibraryDataSet1.tbl_amanat(index).am_book_isbn
        txtDateStart.Text = LibraryDataSet1.tbl_amanat(index).am_start
        txtDateEnd.Text = LibraryDataSet1.tbl_amanat(index).am_end
        txtMemberCode.Text = LibraryDataSet1.tbl_amanat(index).am_member_code

    End Sub

    Private Sub btnDelete_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDelete.Click
        Dim indexrow As Integer
        indexrow = BindingContext(Me.LibraryDataSet1, "tbl_amanat").Position
        If indexrow <> -1 Then
            LibraryDataSet1.tbl_amanat.Rows(indexrow).Delete()
            OleDbDataAdapter1.Update(LibraryDataSet1.tbl_amanat)
            LibraryDataSet1.tbl_amanat.Clear()
            OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_amanat)
            txtDateStart.Text = ""
            txtDateEnd.Text = ""
            Txtbookcode.Text = ""
            txtMemberCode.Text = ""
            MsgBox(" حذف با موفقيت صورت پذيرفت", , " عمليات حذف")
        End If
    End Sub
End Class