﻿Imports System.Data
Imports System.Data.OleDb
Imports System.IO

Public Class FrmEditMember

    Private Sub FrmEditMember_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        OleDbConnection1.ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=D:\Projects\LibraryProject\library.mdb"
        OleDbConnection1.Open()
        LibraryDataSet1.tbl_member.Clear()
        OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_member)
    End Sub

    Private Sub btn_browse_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_browse.Click
        Dim result As DialogResult = OpenFileDialog1.ShowDialog()
        If result = Windows.Forms.DialogResult.OK Then
            '
            Dim input As Bitmap
            Dim output As Bitmap
            Dim siz As Long = 100
            Dim wid As Long
            Dim hgt As Long
            Dim picname As String = OpenFileDialog1.FileName
            '
            Try
                input = Bitmap.FromFile(picname)
            Catch ex As Exception
                input = New Bitmap(150, 150)
                Dim grafinput As Graphics = Graphics.FromImage(input)
                grafinput.FillRectangle(New SolidBrush(Color.FromArgb(255, 204, 204, 204)), 0, 0, 150, 150)
                grafinput.Dispose()
            End Try

            If siz > 0 Then
                If input.Height > input.Width Then
                    wid = (siz * input.Width) / input.Height
                    hgt = siz
                Else
                    hgt = (siz * input.Height) / input.Width
                    wid = siz
                End If
            ElseIf hgt > 0 Then
                wid = (hgt * input.Width) / input.Height
            ElseIf hgt > 0 Then
                hgt = (wid * input.Height) / input.Width
            End If


            If (hgt < 1) Or (input.Height < hgt) Then

                output = input
            Else
                output = New Bitmap(input, wid, hgt)


            End If
            picmember.Image = output
            input.Dispose()
        End If

    End Sub

    Private Sub txtSearch_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtSearch.TextChanged
        Try
            ErrorProvider1.Clear()
            txtcode.Clear()
            txtfname.Clear()
            txtlname.Clear()
            txtsh.Clear()
            txtfather.Clear()
            txtbirthday.Clear()
            cmbgride.Text = ""
            txtozviat.Clear()
            txtzamen.Clear()
            txtzamentell.Clear()
            txtadress.Clear()
            txttell.Clear()
            picmember.Image = Nothing
            OleDbDataAdapter1.SelectCommand.CommandText = "SELECT * FROM tbl_member WHERE m_code like '" & txtSearch.Text & "%'"
            LibraryDataSet1.tbl_member.Clear()
            OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_member)
        Catch ex As Exception
            ErrorProvider1.SetError(txtSearch, "کد جستجو را درست وارد نمایید")
        End Try

    End Sub

    Private Sub DataGridView1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DataGridView1.Click
        Dim IndexRow As Integer = BindingContext(Me.LibraryDataSet1, "tbl_member").Position
        Try
            txtcode.Text = LibraryDataSet1.tbl_member(IndexRow).m_code
            txtfname.Text = LibraryDataSet1.tbl_member(IndexRow).m_fname
            txtlname.Text = LibraryDataSet1.tbl_member(IndexRow).m_lname
            txtsh.Text = LibraryDataSet1.tbl_member(IndexRow).m_sh
            txtfather.Text = LibraryDataSet1.tbl_member(IndexRow).m_father
            txtbirthday.Text = LibraryDataSet1.tbl_member(IndexRow).m_birthday
            cmbgride.Text = LibraryDataSet1.tbl_member(IndexRow).m_gride
            txtozviat.Text = LibraryDataSet1.tbl_member(IndexRow).m_ozviat
            txtzamen.Text = LibraryDataSet1.tbl_member(IndexRow).m_zamen
            txtzamentell.Text = LibraryDataSet1.tbl_member(IndexRow).m_zamentell
            txtadress.Text = LibraryDataSet1.tbl_member(IndexRow).m_adress
            txttell.Text = LibraryDataSet1.tbl_member(IndexRow).m_tell
            Dim buffer() As Byte = CType(LibraryDataSet1.tbl_member(IndexRow).m_pic, Byte())
            Dim str As New IO.MemoryStream(buffer)
            picmember.Image = Image.FromStream(str)

        Catch ex As Exception
            MsgBox(ex.Message)
        End Try

    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_delete.Click
        Dim result As MsgBoxResult
        result = MsgBox(" آيا مي خواهيد اطلا عات عضو شود", MsgBoxStyle.YesNo, "تايديه")
        If result = MsgBoxResult.Yes Then
            Dim IndexRow As Integer
            If IsNumeric(txtcode.Text) Then
                Try
                    IndexRow = BindingContext(Me.LibraryDataSet1, "tbl_member").Position
                    LibraryDataSet1.tbl_member(IndexRow).Delete()
                    OleDbDataAdapter1.Update(LibraryDataSet1.tbl_member)

                    txtcode.Clear()
                    txtfname.Clear()
                    txtlname.Clear()
                    txtsh.Clear()
                    txtfather.Clear()
                    txtbirthday.Clear()
                    cmbgride.Text = ""
                    txtozviat.Clear()
                    txtzamen.Clear()
                    txtzamentell.Clear()
                    txtadress.Clear()
                    txttell.Clear()
                    picmember.Image = Nothing

                    LibraryDataSet1.tbl_member.Clear()
                    OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_member)
                    MsgBox(" حذف با موفقيت صورت پذيرفت", , " عمليات حذف")
                Catch ex As Exception
                    MsgBox(ex.Message)
                End Try
            End If
        End If

    End Sub

    Private Sub btnexit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnexit.Click
        Me.Close()
    End Sub

    Private Sub btn_Update_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_Update.Click
        If IsNumeric(txtcode.Text) Then
            If picmember.Image Is Nothing Then
                ErrorProvider1.SetError(picmember, "عکس را انتخاب کنید")
            ElseIf txtfname.Text = "" Then
                ErrorProvider1.SetError(txtfname, "نام را وارد کنید")
            ElseIf txtlname.Text = "" Then
                ErrorProvider1.SetError(txtlname, "نام خانوادگی را وارد کنید")
            ElseIf Not IsNumeric(txtsh.Text) Then
                ErrorProvider1.SetError(txtsh, "شماره شناسنامه را درست وارد کنید")
            ElseIf txtfather.Text = "" Then
                ErrorProvider1.SetError(txtfather, "نام پدر را وارد کنید")
            ElseIf cmbgride.SelectedIndex = -1 Then
                ErrorProvider1.SetError(cmbgride, "مدرک تحصیلی را انتخاب کنید")
            ElseIf Not IsDate(txtbirthday.Text) Then
                ErrorProvider1.SetError(txtbirthday, "تاریخ تولد را درست وارد کنید")
            ElseIf txtzamen.Text = "" Then
                ErrorProvider1.SetError(txtzamen, "نام ضامن را وارد کنید")
            ElseIf txtzamentell.Text = "" Then
                ErrorProvider1.SetError(txtzamentell, "شماره تلفن ضامن را وارد کنید")
            ElseIf Not IsDate(txtozviat.Text) Then
                ErrorProvider1.SetError(txtozviat, "تاریخ عضویت را درست وارد کنید")
            ElseIf txtadress.Text = "" Then
                ErrorProvider1.SetError(txtadress, "نشانی عضو را وارد کنید ")
            ElseIf txttell.Text = "" Then
                ErrorProvider1.SetError(txttell, "شماره تلفن را وارد کنید")
            Else

                Dim IndexRow As Integer
                Try

                    IndexRow = BindingContext(Me.LibraryDataSet1, "tbl_member").Position
                    LibraryDataSet1.tbl_member(IndexRow).m_fname = txtfname.Text
                    LibraryDataSet1.tbl_member(IndexRow).m_lname = txtlname.Text
                    LibraryDataSet1.tbl_member(IndexRow).m_sh = txtsh.Text
                    LibraryDataSet1.tbl_member(IndexRow).m_father = txtfather.Text
                    LibraryDataSet1.tbl_member(IndexRow).m_birthday = CDate(txtbirthday.Text)
                    LibraryDataSet1.tbl_member(IndexRow).m_gride = cmbgride.SelectedItem
                    LibraryDataSet1.tbl_member(IndexRow).m_ozviat = CDate(txtozviat.Text)
                    LibraryDataSet1.tbl_member(IndexRow).m_zamen = txtzamen.Text
                    LibraryDataSet1.tbl_member(IndexRow).m_zamentell = txtzamentell.Text
                    LibraryDataSet1.tbl_member(IndexRow).m_adress = txtadress.Text
                    LibraryDataSet1.tbl_member(IndexRow).m_tell = txttell.Text
                    OleDbDataAdapter1.Update(LibraryDataSet1.tbl_member)

                    Dim str As New IO.MemoryStream
                    picmember.Image.Save(str, Imaging.ImageFormat.Jpeg)

                    Dim buffer(CInt(str.Length - 1)) As Byte
                    str.Position = 0
                    str.Read(buffer, 0, CInt(str.Length))

                    Dim conString As String = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=D:\Projects\LibraryProject\library.mdb"
                    Dim con As New OleDbConnection(conString)

                    Dim cmd As New OleDbCommand("update tbl_member set m_pic=@pic where m_code=@code", con)
                    cmd.CommandType = CommandType.Text
                    Dim prmPic As New OleDbParameter    'done step by step here
                    With prmPic
                        .ParameterName = "@MyPicture"
                        .OleDbType = OleDbType.Binary   'set the database type
                        .Value = buffer                 'assign the contents of the buffer to the value of the parameter
                    End With
                    cmd.Parameters.Add(prmPic)
                    Dim prmcode As New OleDbParameter 'add the parameter to the command
                    With prmcode
                        .ParameterName = "@Mycode"   'the name used in the query for the parameter
                        .OleDbType = OleDbType.Decimal   'set the database type
                        .Value = txtcode.Text                 'assign the contents of the buffer to the value of the parameter
                    End With
                    cmd.Parameters.Add(prmcode)          'add the parameter to the command
                    Try
                        con.Open()
                        cmd.ExecuteNonQuery()
                        OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_member)
                    Catch ex As Exception
                        MessageBox.Show("There was a problem saving the image." & ControlChars.CrLf & ex.Message)
                    Finally
                        If con.State = ConnectionState.Open Then con.Close()
                        con.Dispose() : cmd.Dispose()
                        con = Nothing : cmd = Nothing : prmPic = Nothing
                    End Try

                    OleDbDataAdapter1.Update(LibraryDataSet1.tbl_member)
                    LibraryDataSet1.tbl_member.Clear()
                    OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_member)

                    txtcode.Clear()
                    txtfname.Clear()
                    txtlname.Clear()
                    txtsh.Clear()
                    txtfather.Clear()
                    txtbirthday.Clear()
                    cmbgride.Text = ""
                    txtozviat.Clear()
                    txtzamen.Clear()
                    txtzamentell.Clear()
                    txtadress.Clear()
                    txttell.Clear()
                    picmember.Image = Nothing
                    MsgBox("ويرايش اطلاعات با موفقيت انجام شد", , "ويرايش اطلاعات اعضاء")
                Catch ex As Exception
                    MsgBox(ex.Message)
                End Try

            End If
        End If

    End Sub
End Class