using System.Diagnostics;
using System;
using System.Windows.Forms;
using System.Collections;
using System.Drawing;
using Microsoft.VisualBasic;
using System.Data;
using System.Collections.Generic;
using System.Data.OleDb;
using System.IO;


namespace Library
{
	public partial class FrmEditMember
	{
		public FrmEditMember()
		{
			InitializeComponent();
		}
		
		public void FrmEditMember_Load(System.Object sender, System.EventArgs e)
		{
			OleDbConnection1.ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=D:\\Projects\\LibraryProject\\library.mdb";
			OleDbConnection1.Open();
			LibraryDataSet1.tbl_member.Clear();
			OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_member);
		}
		
		public void btn_browse_Click(System.Object sender, System.EventArgs e)
		{
			DialogResult result = OpenFileDialog1.ShowDialog();
			if (result == System.Windows.Forms.DialogResult.OK)
			{
				//
				Bitmap input;
				Bitmap output;
				long siz = 100;
				long wid = 0;
				long hgt = 0;
				string picname = OpenFileDialog1.FileName;
				//
				try
				{
					input =  (System.Drawing.Bitmap) (Bitmap.FromFile(picname));
				}
				catch (Exception)
				{
					input = new Bitmap(150, 150);
					Graphics grafinput = Graphics.FromImage(input);
					grafinput.FillRectangle(new SolidBrush(Color.FromArgb(255, 204, 204, 204)), 0, 0, 150, 150);
					grafinput.Dispose();
				}
				
				if (siz > 0)
				{
					if (input.Height > input.Width)
					{
						wid = (siz * input.Width) / input.Height;
						hgt = siz;
					}
					else
					{
						hgt = (siz * input.Height) / input.Width;
						wid = siz;
					}
				}
				else if (hgt > 0)
				{
					wid = (hgt * input.Width) / input.Height;
				}
				else if (hgt > 0)
				{
					hgt = (wid * input.Height) / input.Width;
				}
				
				
				if ((hgt < 1) || (input.Height < hgt))
				{
					
					output = input;
				}
				else
				{
					output = new Bitmap(input, (int) wid, (int) hgt);
					
					
				}
				picmember.Image = output;
				input.Dispose();
			}
			
		}
		
		public void txtSearch_TextChanged(System.Object sender, System.EventArgs e)
		{
			try
			{
				ErrorProvider1.Clear();
				txtcode.Clear();
				txtfname.Clear();
				txtlname.Clear();
				txtsh.Clear();
				txtfather.Clear();
				txtbirthday.Clear();
				cmbgride.Text = "";
				txtozviat.Clear();
				txtzamen.Clear();
				txtzamentell.Clear();
				txtadress.Clear();
				txttell.Clear();
				picmember.Image = null;
				OleDbDataAdapter1.SelectCommand.CommandText = "SELECT * FROM tbl_member WHERE m_code like \'" + txtSearch.Text + "%\'";
				LibraryDataSet1.tbl_member.Clear();
				OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_member);
			}
			catch (Exception)
			{
				ErrorProvider1.SetError(txtSearch, "کد جستجو را درست وارد نمایید");
			}
			
		}
		
		public void DataGridView1_Click(System.Object sender, System.EventArgs e)
		{
			int IndexRow = BindingContext[this.LibraryDataSet1, "tbl_member"].Position;
			try
			{
				txtcode.Text = System.Convert.ToString((LibraryDataSet1.tbl_member[IndexRow].m_code));
				txtfname.Text = (string) (LibraryDataSet1.tbl_member[IndexRow].m_fname);
				txtlname.Text = (string) (LibraryDataSet1.tbl_member[IndexRow].m_lname);
				txtsh.Text = System.Convert.ToString((LibraryDataSet1.tbl_member[IndexRow].m_sh));
				txtfather.Text = (string) (LibraryDataSet1.tbl_member[IndexRow].m_father);
				txtbirthday.Text = System.Convert.ToString((LibraryDataSet1.tbl_member[IndexRow].m_birthday));
				cmbgride.Text = (string) (LibraryDataSet1.tbl_member[IndexRow].m_gride);
				txtozviat.Text = System.Convert.ToString((LibraryDataSet1.tbl_member[IndexRow].m_ozviat));
				txtzamen.Text = (string) (LibraryDataSet1.tbl_member[IndexRow].m_zamen);
				txtzamentell.Text = (string) (LibraryDataSet1.tbl_member[IndexRow].m_zamentell);
				txtadress.Text = (string) (LibraryDataSet1.tbl_member[IndexRow].m_adress);
				txttell.Text = (string) (LibraryDataSet1.tbl_member[IndexRow].m_tell);
				byte[] buffer = (byte[]) (LibraryDataSet1.tbl_member[IndexRow].m_pic);
				System.IO.MemoryStream str = new System.IO.MemoryStream(buffer);
				picmember.Image = Image.FromStream(str);
				
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message);
			}
			
		}
		
		public void Button2_Click(System.Object sender, System.EventArgs e)
		{
			MsgBoxResult result;
			result = Interaction.MsgBox(" آيا مي خواهيد اطلا عات عضو شود", MsgBoxStyle.YesNo, "تايديه");
			if (result == MsgBoxResult.Yes)
			{
				int IndexRow;
				if (Information.IsNumeric(txtcode.Text))
				{
					try
					{
						IndexRow = BindingContext[this.LibraryDataSet1, "tbl_member"].Position;
						LibraryDataSet1.tbl_member[IndexRow].Delete();
						OleDbDataAdapter1.Update(LibraryDataSet1.tbl_member);
						
						txtcode.Clear();
						txtfname.Clear();
						txtlname.Clear();
						txtsh.Clear();
						txtfather.Clear();
						txtbirthday.Clear();
						cmbgride.Text = "";
						txtozviat.Clear();
						txtzamen.Clear();
						txtzamentell.Clear();
						txtadress.Clear();
						txttell.Clear();
						picmember.Image = null;
						
						LibraryDataSet1.tbl_member.Clear();
						OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_member);
						Interaction.MsgBox(" حذف با موفقيت صورت پذيرفت", 0, " عمليات حذف");
					}
					catch (Exception ex)
					{
						MessageBox.Show(ex.Message);
					}
				}
			}
			
		}
		
		public void btnexit_Click(System.Object sender, System.EventArgs e)
		{
			this.Close();
		}
		
		public void btn_Update_Click(System.Object sender, System.EventArgs e)
		{
			if (Information.IsNumeric(txtcode.Text))
			{
				if (picmember.Image == null)
				{
					ErrorProvider1.SetError(picmember, "عکس را انتخاب کنید");
				}
				else if (txtfname.Text == "")
				{
					ErrorProvider1.SetError(txtfname, "نام را وارد کنید");
				}
				else if (txtlname.Text == "")
				{
					ErrorProvider1.SetError(txtlname, "نام خانوادگی را وارد کنید");
				}
				else if (! Information.IsNumeric(txtsh.Text))
				{
					ErrorProvider1.SetError(txtsh, "شماره شناسنامه را درست وارد کنید");
				}
				else if (txtfather.Text == "")
				{
					ErrorProvider1.SetError(txtfather, "نام پدر را وارد کنید");
				}
				else if (cmbgride.SelectedIndex == -1)
				{
					ErrorProvider1.SetError(cmbgride, "مدرک تحصیلی را انتخاب کنید");
				}
				else if (! Information.IsDate(txtbirthday.Text))
				{
					ErrorProvider1.SetError(txtbirthday, "تاریخ تولد را درست وارد کنید");
				}
				else if (txtzamen.Text == "")
				{
					ErrorProvider1.SetError(txtzamen, "نام ضامن را وارد کنید");
				}
				else if (txtzamentell.Text == "")
				{
					ErrorProvider1.SetError(txtzamentell, "شماره تلفن ضامن را وارد کنید");
				}
				else if (! Information.IsDate(txtozviat.Text))
				{
					ErrorProvider1.SetError(txtozviat, "تاریخ عضویت را درست وارد کنید");
				}
				else if (txtadress.Text == "")
				{
					ErrorProvider1.SetError(txtadress, "نشانی عضو را وارد کنید ");
				}
				else if (txttell.Text == "")
				{
					ErrorProvider1.SetError(txttell, "شماره تلفن را وارد کنید");
				}
				else
				{
					
					int IndexRow;
					try
					{
						
						IndexRow = BindingContext[this.LibraryDataSet1, "tbl_member"].Position;
						LibraryDataSet1.tbl_member[IndexRow].m_fname = txtfname.Text;
						LibraryDataSet1.tbl_member[IndexRow].m_lname = txtlname.Text;
						LibraryDataSet1.tbl_member[IndexRow].m_sh = int.Parse(txtsh.Text);
						LibraryDataSet1.tbl_member[IndexRow].m_father = txtfather.Text;
						LibraryDataSet1.tbl_member[IndexRow].m_birthday = DateTime.Parse(txtbirthday.Text);
						LibraryDataSet1.tbl_member[IndexRow].m_gride =  (string) (cmbgride.SelectedItem);
						LibraryDataSet1.tbl_member[IndexRow].m_ozviat = DateTime.Parse(txtozviat.Text);
						LibraryDataSet1.tbl_member[IndexRow].m_zamen = txtzamen.Text;
						LibraryDataSet1.tbl_member[IndexRow].m_zamentell = txtzamentell.Text;
						LibraryDataSet1.tbl_member[IndexRow].m_adress = txtadress.Text;
						LibraryDataSet1.tbl_member[IndexRow].m_tell = txttell.Text;
						OleDbDataAdapter1.Update(LibraryDataSet1.tbl_member);
						
						System.IO.MemoryStream str = new System.IO.MemoryStream();
						picmember.Image.Save(str, System.Drawing.Imaging.ImageFormat.Jpeg);
						
						byte[] buffer = new byte[(int) (str.Length - 1) + 1];
						str.Position = 0;
						str.Read(buffer, 0, (int) str.Length);
						
						string conString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=D:\\Projects\\LibraryProject\\library.mdb";
						OleDbConnection con = new OleDbConnection(conString);
						
						OleDbCommand cmd = new OleDbCommand("update tbl_member set m_pic=@pic where m_code=@code", con);
						cmd.CommandType = CommandType.Text;
						OleDbParameter prmPic = new OleDbParameter(); //done step by step here
						prmPic.ParameterName = "@MyPicture";
						prmPic.OleDbType = OleDbType.Binary; //set the database type
						prmPic.Value = buffer; //assign the contents of the buffer to the value of the parameter
						cmd.Parameters.Add(prmPic);
						OleDbParameter prmcode = new OleDbParameter(); //add the parameter to the command
						prmcode.ParameterName = "@Mycode"; //the name used in the query for the parameter
						prmcode.OleDbType = OleDbType.Decimal; //set the database type
						prmcode.Value = txtcode.Text; //assign the contents of the buffer to the value of the parameter
						cmd.Parameters.Add(prmcode); //add the parameter to the command
						try
						{
							con.Open();
							cmd.ExecuteNonQuery();
							OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_member);
						}
						catch (Exception ex)
						{
							MessageBox.Show((string) ("There was a problem saving the image." + ControlChars.CrLf + ex.Message));
						}
						finally
						{
							if (con.State == ConnectionState.Open)
							{
								con.Close();
							}
							con.Dispose();
							
							cmd.Dispose();
							con = null;
							
							cmd = null;
							prmPic = null;
						}
						
						OleDbDataAdapter1.Update(LibraryDataSet1.tbl_member);
						LibraryDataSet1.tbl_member.Clear();
						OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_member);
						
						txtcode.Clear();
						txtfname.Clear();
						txtlname.Clear();
						txtsh.Clear();
						txtfather.Clear();
						txtbirthday.Clear();
						cmbgride.Text = "";
						txtozviat.Clear();
						txtzamen.Clear();
						txtzamentell.Clear();
						txtadress.Clear();
						txttell.Clear();
						picmember.Image = null;
						Interaction.MsgBox("ويرايش اطلاعات با موفقيت انجام شد", 0, "ويرايش اطلاعات اعضاء");
					}
					catch (Exception ex)
					{
						MessageBox.Show(ex.Message);
					}
					
				}
			}
			
		}
	}
}
