﻿Public Class FrmBook

   
    Private Sub FrmBook_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        OleDbConnection1.ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=D:\Projects\LibraryProject\library.mdb"
        LibraryDataSet1.tbl_book.Clear()
        OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_book)
    End Sub

    Private Sub btnnewbook_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnnewbook.Click
        ErrorProvider1.Clear()
        OleDbDataAdapter2.SelectCommand.Parameters.Item(0).Value = txtISBN.Text
        LibraryDataSet1.tbl_book1.Clear()
        OleDbDataAdapter2.Fill(LibraryDataSet1.tbl_book1)
        If (LibraryDataSet1.tbl_book1.Rows.Count > 0) Or (txtISBN.Text = "") Then
            ErrorProvider1.SetError(txtISBN, " كد شناسايي كتاب نبايد خالي يا تكراري باشد")
        ElseIf txtTitle.Text = "" Then
            ErrorProvider1.SetError(txtTitle, "  عنوان كتاب را وارد نمائيد")
        ElseIf txtMoalef.Text = "" Then
            ErrorProvider1.SetError(txtMoalef, "نام مولف را وارد كنيد")
        ElseIf txtNumPrint.Text = "" Then
            ErrorProvider1.SetError(txtNumPrint, "شماره و سال چاپ را وارد نمائيد")
        ElseIf cmbGroup.SelectedIndex = -1 Then
            ErrorProvider1.SetError(cmbGroup, "گروه كتاب را انتخاب كنيد")
        ElseIf Not IsNumeric(txtTotalPage.Text) Then
            ErrorProvider1.SetError(txtTotalPage, " تعداد صفحات كتاب را وارد نمائيد")
        ElseIf Not IsNumeric(txtTotal.Text) Then
            ErrorProvider1.SetError(txtTotal, "موجودي را درست وارد نمائيد")
        Else
            Try
                OleDbDataAdapter1.InsertCommand.Parameters.Item(0).Value = txtISBN.Text
                OleDbDataAdapter1.InsertCommand.Parameters.Item(1).Value = txtTitle.Text
                OleDbDataAdapter1.InsertCommand.Parameters.Item(2).Value = cmbGroup.Text
                OleDbDataAdapter1.InsertCommand.Parameters.Item(3).Value = txtNumPrint.Text
                OleDbDataAdapter1.InsertCommand.Parameters.Item(4).Value = txtMoalef.Text
                OleDbDataAdapter1.InsertCommand.Parameters.Item(5).Value = txtTotal.Text
                OleDbDataAdapter1.InsertCommand.Parameters.Item(6).Value = txtTotalPage.Text
                OleDbConnection1.Open()
                OleDbDataAdapter1.InsertCommand.ExecuteNonQuery()
                LibraryDataSet1.tbl_book.Clear()
                OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_book)
                txtISBN.Clear()
                txtTitle.Clear()
                txtNumPrint.Clear()
                txtMoalef.Clear()
                txtTotalPage.Clear()
                txtTotal.Clear()
                cmbGroup.Text = ""
                MsgBox(" اطلاعات كتاب جديد با موفقيت به بانك اضافه گرديد", , "عمليات درج")
            Catch ex As Exception
                MsgBox("Error: " & ex.Message)
            Finally
                If OleDbConnection1.State = ConnectionState.Open Then
                    OleDbConnection1.Close()
                End If
            End Try

        End If
    End Sub

    Private Sub DataGridView1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DataGridView1.Click
        Dim IndexRow As Integer
        Try
            IndexRow = BindingContext(Me.LibraryDataSet1, "tbl_book").Position
            txt_ISBN_Update.Text = LibraryDataSet1.tbl_book(IndexRow).b_isbn
            txt_Title_Update.Text = LibraryDataSet1.tbl_book(IndexRow).b_title
            txt_Moalef_Update.Text = LibraryDataSet1.tbl_book(IndexRow).b_moalef
            txt_numprint_Update.Text = LibraryDataSet1.tbl_book(IndexRow).b_print
            Cmb_Group_Update.Text = LibraryDataSet1.tbl_book(IndexRow).b_group
            txt_Totalpage_update.Text = LibraryDataSet1.tbl_book(IndexRow).b_page
            txt_Total_Update.Text = LibraryDataSet1.tbl_book(IndexRow).b_total
        Catch ex As Exception
            MsgBox("Error :" & ex.Message)
        End Try
    End Sub

    Private Sub btnDelete_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDelete.Click
        Dim IndexRow As Integer
        IndexRow = BindingContext(Me.LibraryDataSet1, "tbl_book").Position
        If IndexRow <> -1 Then
            Try
                LibraryDataSet1.tbl_book(IndexRow).Delete()
                OleDbDataAdapter1.Update(LibraryDataSet1.tbl_book)
                txt_ISBN_Update.Clear()
                txt_Title_Update.Clear()
                txt_numprint_Update.Clear()
                txt_Moalef_Update.Clear()
                txt_Totalpage_update.Clear()
                txt_Total_Update.Clear()
                Cmb_Group_Update.Text = ""
                LibraryDataSet1.tbl_book.Clear()
                OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_book)
                MsgBox("ركورد مورد نظر از بانك حذف گرديد", , "عمليات حذف")
            Catch ex As Exception
                MsgBox("Error :" & ex.Message)

            End Try
        End If

    End Sub

    Private Sub btnUpdate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnUpdate.Click
        Dim IndexRow As Integer
        IndexRow = BindingContext(Me.LibraryDataSet1, "tbl_book").Position
        If IndexRow >= 0 Then
            ErrorProvider1.Clear()
            If txt_ISBN_Update.Text = "" Then
                ErrorProvider1.SetError(txt_ISBN_Update, " عنوان كتاب را وارد نمائيد")
            ElseIf txt_Moalef_Update.Text = "" Then
                ErrorProvider1.SetError(txt_Moalef_Update, "نام مؤلف را وارد كنيد")
            ElseIf txt_numprint_Update.Text = "" Then
                ErrorProvider1.SetError(txt_numprint_Update, " شماره چاپ را وارد نمائيد")
            ElseIf Cmb_Group_Update.SelectedIndex = -1 Then
                ErrorProvider1.SetError(Cmb_Group_Update, "گروه كتاب را انتخاب نمائيد")
            ElseIf Not IsNumeric(txt_Totalpage_update.Text) Then
                ErrorProvider1.SetError(txt_Totalpage_update, "تعداد صفحات كتاب را درست وارد نمائيد")
            ElseIf Not IsNumeric(txt_Total_Update.Text) Then
                ErrorProvider1.SetError(txt_Total_Update, " تعداد موجودي را وارد نمائيد")
            Else
                Try
                    LibraryDataSet1.tbl_book(IndexRow).b_title = txt_Title_Update.Text
                    LibraryDataSet1.tbl_book(IndexRow).b_moalef = txt_Moalef_Update.Text
                    LibraryDataSet1.tbl_book(IndexRow).b_print = txt_numprint_Update.Text
                    LibraryDataSet1.tbl_book(IndexRow).b_group = Cmb_Group_Update.SelectedItem
                    LibraryDataSet1.tbl_book(IndexRow).b_page = txt_Totalpage_update.Text
                    LibraryDataSet1.tbl_book(IndexRow).b_total = txt_Total_Update.Text
                    OleDbDataAdapter1.Update(LibraryDataSet1, "tbl_book")
                    txt_ISBN_Update.Clear()
                    txt_Title_Update.Clear()
                    txt_Moalef_Update.Clear()
                    txt_numprint_Update.Clear()
                    Cmb_Group_Update.Text = ""
                    txt_Totalpage_update.Clear()
                    txt_Total_Update.Clear()
                    LibraryDataSet1.tbl_book.Clear()
                    OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_book)
                    MsgBox("ويرايش با موفقيت صورت پذيرفت", , "عمليات ويرايش")
                Catch ex As Exception
                    MsgBox("Error :" & ex.Message)
                End Try
            End If
        End If
    End Sub
End Class