Imports System.Data
Imports System.Data.OleDb
Imports System.IO

Public Class FrmMember

    Private Sub FrmMember_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        OleDbConnection1.ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=D:\Projects\LibraryProject\library.mdb"
        OleDbConnection1.Open()
        LibraryDataSet1.tbl_member.Clear()
        OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_member)
    End Sub

    Private Sub btn_browse_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_browse.Click
        Dim result As DialogResult = OpenFileDialog1.ShowDialog()
        If result = Windows.Forms.DialogResult.OK Then
            '
            Dim input As Bitmap
            Dim output As Bitmap
            Dim siz As Long = 100
            Dim wid As Long
            Dim hgt As Long
            Dim picname As String = OpenFileDialog1.FileName
            '
            Try
                input = Bitmap.FromFile(picname)
            Catch ex As Exception
                input = New Bitmap(150, 150)
                Dim grafinput As Graphics = Graphics.FromImage(input)
                grafinput.FillRectangle(New SolidBrush(Color.FromArgb(255, 204, 204, 204)), 0, 0, 150, 150)
                grafinput.Dispose()
            End Try

            If siz > 0 Then
                If input.Height > input.Width Then
                    wid = (siz * input.Width) / input.Height
                    hgt = siz
                Else
                    hgt = (siz * input.Height) / input.Width
                    wid = siz
                End If
            ElseIf hgt > 0 Then
                wid = (hgt * input.Width) / input.Height
            ElseIf hgt > 0 Then
                hgt = (wid * input.Height) / input.Width
            End If


            If (hgt < 1) Or (input.Height < hgt) Then
                output = input
            Else
                output = New Bitmap(input, wid, hgt)
            End If
            picmember.Image = output
            input.Dispose()
        End If
    End Sub

    Private Sub btn_insert_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_insert.Click
        Try
            ErrorProvider1.Clear()
            LibraryDataSet1.tbl_member2.Clear()
            da_checkcode.SelectCommand.Parameters.Item(0).Value = Val(txtcode.Text)
            da_checkcode.Fill(LibraryDataSet1.tbl_member2)
            If (LibraryDataSet1.tbl_member2.Rows.Count > 0) Or (txtcode.Text = "") Then
                ErrorProvider1.SetError(txtcode, "      ")
            ElseIf picmember.Image Is Nothing Then
                ErrorProvider1.SetError(picmember, "ژ   ")
            ElseIf txtfname.Text = "" Then
                ErrorProvider1.SetError(txtfname, "   ")
            ElseIf txtlname.Text = "" Then
                ErrorProvider1.SetError(txtlname, " ϐ   ")
            ElseIf Not IsNumeric(txtsh.Text) Then
                ErrorProvider1.SetError(txtsh, "     ")
            ElseIf txtfather.Text = "" Then
                ErrorProvider1.SetError(txtfather, "    ")
            ElseIf cmbgride.SelectedIndex = -1 Then
                ErrorProvider1.SetError(cmbgride, "ј    ")
            ElseIf Not IsDate(txtbirthday.Text) Then
                ErrorProvider1.SetError(txtbirthday, "     ")
            ElseIf txtzamen.Text = "" Then
                ErrorProvider1.SetError(txtzamen, "    ")
            ElseIf txtzamentell.Text = "" Then
                ErrorProvider1.SetError(txtzamentell, "     ")
            ElseIf Not IsDate(txtozviat.Text) Then
                ErrorProvider1.SetError(txtozviat, "     ")
            ElseIf txttell.Text = "" Then
                ErrorProvider1.SetError(txttell, "     ")
            ElseIf txtadress.Text = "" Then
                ErrorProvider1.SetError(txtadress, "     ")
            Else
                OleDbDataAdapter1.InsertCommand.Parameters.Item(0).Value = txtcode.Text
                OleDbDataAdapter1.InsertCommand.Parameters.Item(1).Value = txtfname.Text
                OleDbDataAdapter1.InsertCommand.Parameters.Item(2).Value = txtlname.Text
                OleDbDataAdapter1.InsertCommand.Parameters.Item(3).Value = txtsh.Text
                OleDbDataAdapter1.InsertCommand.Parameters.Item(4).Value = txtfather.Text
                OleDbDataAdapter1.InsertCommand.Parameters.Item(5).Value = CDate(txtozviat.Text)
                OleDbDataAdapter1.InsertCommand.Parameters.Item(6).Value = cmbgride.Text
                OleDbDataAdapter1.InsertCommand.Parameters.Item(7).Value = CDate(txtozviat.Text)
                OleDbDataAdapter1.InsertCommand.Parameters.Item(8).Value = txtzamen.Text
                OleDbDataAdapter1.InsertCommand.Parameters.Item(9).Value = txtzamentell.Text
                OleDbDataAdapter1.InsertCommand.Parameters.Item(10).Value = txtadress.Text
                OleDbDataAdapter1.InsertCommand.Parameters.Item(11).Value = txttell.Text

                Dim strmemory As New MemoryStream
                picmember.Image.Save(strmemory, Imaging.ImageFormat.Jpeg)
                Dim buffer(CInt(strmemory.Length - 1)) As Byte
                strmemory.Position = 0
                strmemory.Read(buffer, 0, CInt(strmemory.Length))
                OleDbDataAdapter1.InsertCommand.Parameters.Item(12).Value = buffer
                If OleDbConnection1.State = ConnectionState.Closed Then
                    OleDbConnection1.Open()
                End If
                OleDbDataAdapter1.InsertCommand.ExecuteNonQuery()
                LibraryDataSet1.tbl_member.Clear()
                OleDbDataAdapter1.Fill(LibraryDataSet1.tbl_member)
                OleDbConnection1.Close()
                txtcode.Clear()
                txtfname.Clear()
                txtlname.Clear()
                txtsh.Clear()
                txtfather.Clear()
                txtozviat.Clear()
                cmbgride.Text = ""
                txtozviat.Clear()
                txtzamen.Clear()
                txtzamentell.Clear()
                txtadress.Clear()
                txttell.Clear()
                picmember.Image = Nothing
                MsgBox("         ", , "  ")
            End If
        Catch ex As Exception
            MsgBox("Error : " & ex.Message)
        End Try



    End Sub

    Private Sub btnexit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnexit.Click
        Me.Close()
    End Sub
End Class
